   PROGRAM Main

   REAL, DIMENSION(3, 3) :: A, B

   DATA A / 1, 2, 3, 4, 5, 6, 7, 8, 9 /

   print *, "Matrix A: "
   DO i = 1, SIZE(A, 1) 
     print *, A(i, :)
   END DO
   print *

   B = TRANSPOSE(A)

   print *, "B = TRANSPOSE(A)"
   DO i = 1, SIZE(B, 1) 
     print *, B(i, :)
   END DO

   print *

   END

